package com.centerm.smartpos.aidl.mifare;

interface AidlMifare{
    /** 认证 
    *
    * @param resetRes 非接卡复位信息(通过非接卡复位获取)
     */
	int auth(int type, byte blockaddr, in byte[] keydata, in byte[] resetRes);
	
	/** 读数据 */
	int readBlock(byte blockaddr, out byte[] blockdata);
	
	/** 写数据 */
	int writeBlock(byte blockaddr, in byte[] data);
	
	/** 加值 */
	int addValue(byte blockaddr, in byte[] defaultdata, in byte[] data);
	
	/** 减值 */
	int reduceValue(byte blockaddr, in byte[] defaultdata, in byte[] data);

	/**
	  * 打开设备
	  * 
	  */
	 void open();
	 /**
	  * 关闭设备
	  * 
	  */
	 void close();
	 /**
	  * 复位非接卡
	  * @return
	  */
	 byte[] reset();
	 /**
	  * 查询卡片状态
	  */
	 byte status();
}